@media screen and (max-width: 1023px) {
    /* Frame */
    .ui-mobile #main-wrapper {
        width: calc(100% - 235px);
        padding-bottom: 60px;
    }
    .ui-mobile #main {
        width: 100%;
    }
    .ui-mobile #top-con {
        width: 100%;
        max-width: 1000px;
    }
    .ui-mobile #watermark {
        display: none;
    }
    .ui-mobile .top-control,
    .ui-mobile .crowded-3 .top-control {
        margin-top: unset;
        margin-right: unset;
        left: unset !important;
        right: 0;
    }
    .ui-mobile .top-btn {
        margin-bottom: unset;
    }
    .ui-mobile .top-country {
        margin-top: unset;
        margin-left: 3px;
        position: absolute;
        top: 50px;
        right: 10px; 
    }
    .ui-mobile #bot {
        margin-top: -60px;
    }
    .ui-mobile #bot_con,
    .ui-mobile .bot-background {
        height: 60px;
        overflow-y: auto;
    }
    .ui-mobile #bot_con {
        width: 100%;
        line-height: unset;
        margin-left: unset;
        display: flex;
        flex-flow: column;
        justify-content: space-around;
    }
    .ui-mobile #bot_sver,
    .ui-mobile #bot_hver {
        display: inline-block;
    }
    .ui-mobile #bot_con .bot-right {
        display: flex;
        justify-content: flex-end;
        flex-flow: wrap;
        box-sizing: border-box;
        width: 100%;
    }
    .ui-mobile #bot_sver,
    .ui-mobile #bot_hver,
    .ui-mobile #bot_con .bot-right {
        margin: 0;
        padding: 0 20px;
    }
    .ui-mobile .top-country-select .tp-select {
        width: 120px;
    }
    /* Select */
    .ui-mobile .tp-select .select-box {
        font-size: 14px;
        left: unset;
    }
    .ui-mobile .select-title.xl {
        width: 100%;
    }
    .ui-mobile .select-container .select-title {
        width: 100%;
        margin-bottom: 8px;
    }
    .ui-mobile .select-container {
        width: 100%;
        margin-bottom: 24px;
    }
    .ui-mobile .select-container.top-country-select {
        margin-bottom: unset;
    }
    .ui-mobile .tp-select {
        width: 100%;
    }
    .ui-mobile .xs .tp-select {
        width: 100%;
    }
    .ui-mobile .s .tp-select {
        width: 100%;
    }
    .ui-mobile .m .tp-select {
        width: 100%;
    }
    .ui-mobile .l .tp-select {
        width: 100%;
    }
    .ui-mobile .xl .tp-select {
        width: 100%;
    }
    .ui-mobile .xlc .tp-select {
        width: 100%;
    }
    .ui-mobile .xxl .tp-select {
        width: 100%;
    }
    .ui-mobile .xxxl .tp-select {
        width: 100%;
    }
    /* Button */
    .ui-mobile div.button-container.inline {
        margin-top: 0 !important;
        margin-left: 0 !important;
    }
    .ui-mobile .pure-form button[type='submit'] {
        margin: 0;
    }
    .ui-mobile div.pure-control-group.button-group-container {
        height: auto;
    }
    /* Form */
    .ui-mobile .pure-form-aligned div.pure-control-group {
        width: 100%;
        margin-bottom: 24px;
    }
    .ui-mobile .pure-form-aligned .radio-group-container {
        display: flex;
        flex-flow: column;
    }
    .ui-mobile .pure-form-aligned .radio-group-container.nd {
        display: none;
    }
    .ui-mobile .pure-form-aligned .pure-control-group label.label-title,
    .ui-mobile .select-container .select-title {
        margin-bottom: 6px;
        width: 100%;
    }
    /* Input */
    .ui-mobile div.tpPassword {
        width: 100%;
    }
    .ui-mobile div.tpPassword.pure-control-group {
        margin-bottom: 0;
    }
    .ui-mobile .pure-form input[type='text'],
    .ui-mobile .pure-form input[type='password'] {
        width: 100%;
    }
    .ui-mobile .pure-form .ip-address input[type='text'].tpAddress-cell-input {
        width: 23% !important;
    }
    .ui-mobile .pure-form .mac-address input[type='text'].tpAddress-cell-input {
        width: 15% !important;
    }
    .ui-mobile .pure-form input[type='text'].tp-input-text,
    .ui-mobile .pure-form input[type='password'].tp-input-text {
        display: block;
    }
    .ui-mobile .pure-form input[type='text'].xl,
    .ui-mobile .pure-form input[type='password'].xl {
        width: 100%;
    }
    .ui-mobile #pppoe_elem_basic div.tpPassword,
    .ui-mobile #l2tp_pptp_elem_basic div.tpPassword,
    .ui-mobile #pppoa_elem_basic div.tpPassword {
        width: 99.5%;
    }
    .ui-mobile .pure-form input[type='text'].xxxxl {
        width: 100%;
    }
    .ui-mobile .pure-form input[type='text'].xxxxxl {
        width: 100%;
    }
    .ui-mobile ._isp_various_number input[type='text'] {
        width: 90% !important;
    }
    .ui-mobile .tpAddress-wrapper {
        display: flex;
    }
    .ui-mobile .ip-adapt {
        display: block;
        margin-top: -24px;
    }
    /* Checkbox */
    .ui-mobile input[type='checkbox'].checkbox-checkbox + label.checkbox-label {
        display: block;
    }
    /* Modal */
    .ui-mobile #select-method #select-method-btn {
        left: 0;
        padding: 0 9px;
        flex-flow: wrap;
    }
    .ui-mobile div.add-mesh-guide {
        left: 50%;
        margin: 0;
        transform: translate(-50%, -50%);
    }
    .ui-mobile #select-method-btn {
        left: 0;
        padding: 0 9px;
    }
    .ui-mobile #check_reset {
        left: 50%;
        margin: 0;
        transform: translate(-50%, -50%);
    }
    .ui-mobile .modal-container.msg-container,
    .ui-mobile #insightUnBlockMsg,
    .ui-mobile #unblockedWebsitesMsg {
        max-width: 80% !important;
        min-width: unset !important;
        overflow-x: auto;
        box-sizing: border-box;
    }
    .ui-mobile #folderSel,
    .ui-mobile #accessDevList,
    .ui-mobile #t_devscan,
    .ui-mobile #manualCA_form,
    .ui-mobile div.msg-container .msg-container-wrapper,
    .ui-mobile div.add-mesh-guide,
    .ui-mobile #insightUnBlockMsg,
    .ui-mobile #unblockedWebsitesMsg {
        max-height: 70% !important;
        max-width: 80% !important;
        overflow-y: auto;
    }
    .ui-mobile #accessDevList.qosDevList {
        inset: unset !important;
        top: 50px !important;
        left: 235px !important;
        width: 400px;
    }
    .ui-mobile #accessDevList.qosDevList .table-mobile-wrap table {
        min-width: 664px;
    }
    .ui-mobile div.timepicker-container {
        width: 650px;
    }
    .ui-mobile div.timepicker-container .grid-select-mobile-wrap {
        height: 400px;
    }
    /* Table */
    .ui-mobile .table-mobile-wrap {
        overflow: auto;
        position: relative;
    }
    .ui-mobile .table-mobile-wrap table {
        min-width: 664px;
    }
    .ui-mobile .table-bottom-pages {
        margin-bottom: 10px;
    }
    .ui-mobile .table-mobile-wrap #table-dndspec tr.editor-container > td,
    .ui-mobile .table-mobile-wrap #table-incoming tr.editor-container > td,
    .ui-mobile .table-mobile-wrap #table-outgoing tr.editor-container > td {
        padding-left: 20px;
        padding-right: 20px;
    }
    .ui-mobile #accessDevList .table-mobile-wrap {
        max-height: 400px;
    }
    .ui-mobile .table-mobile-wrap #table-service,
    .ui-mobile .table-mobile-wrap #table-apply {
        min-width: 300px;
    }
    .ui-mobile #select-time-tbl table,
    .ui-mobile #callTimeTbl table,
    .ui-mobile .table-mobile-wrap #table-incoming,
    .ui-mobile .table-mobile-wrap #table-outgoing,
    .ui-mobile .table-mobile-wrap #table-dndspec,
    .ui-mobile .table-mobile-wrap #table-rule {
        min-width: unset;
    }
    /* Password check */
    .ui-mobile div.secLevel {
        display: flex;
        margin-bottom: 5px;
        margin-top: -24px;
        padding-left: 0px !important;
        font-size: 0;
        width: unset;
    }
    .ui-mobile div.secLevel.below-require {
        margin-top: 0;
    }
    .ui-mobile div.secLevel span,
    .ui-mobile div.secLevel.l span,
    .ui-mobile div.secLevel.xl span,
    .ui-mobile div.secLevel.xxl span {
        flex: 1;
    }
    .ui-mobile div.secLevel.nd {
        display: none;
    }
    /* Grid Select */
    .ui-mobile .grid-select-mobile-wrap {
        overflow: auto;
    }
    /* Mode Change */
    .ui-mobile div.mode-change,
    .ui-mobile div.mode-change-triband,
    .ui-mobile div.mode-change-multiband,
    .ui-mobile div.content div.mode-change,
    .ui-mobile div.content div.mode-change-triband,
    .ui-mobile div.content div.mode-change-multiband {
        left: 95%;
        transform: translateX(-95%);
    }
    .ui-mobile div[id^='display_adv_wifi_mode_select'] {
        transform: translateX(-100%);
    }
    .ui-mobile #wb1 {
        width: unset;
        left: 95%;
    }
    /* Quick Setup */
    .ui-mobile #quicksetup-wrapper {
        width: 100% !important;
        padding-bottom: 60px !important;
    }
    .ui-mobile #quicksetup {
        width: 100% !important;
        padding-left: 50px !important;
        padding-right: 50px !important;
    }
    .ui-mobile #quicksetup-container {
        width: 100% !important;
    }
    .ui-mobile #quicksetup-wrap {
        width: 100% !important;
        margin-left: 0 !important;
    }
    .ui-mobile #process-flow-scroll {
        width: 100% !important;
        height: 97px !important;
        overflow-x: auto;
        overflow-y: hidden;
    }
    .ui-mobile #process-flow-scroll::-webkit-scrollbar {
        height: 13px;
        border: 1px solid #fff;
    }
    .ui-mobile #process-flow-container {
        width: 980px !important;
    }
    .ui-mobile div.quicksetup-process-content {
        width: 100% !important;
        min-width: 0 !important;
    }
    .ui-mobile div.quicksetup-process-content > * {
        width: 100% !important;
        margin-left: 0 !important;
    }
    .ui-mobile div.diag-loading {
        position: relative !important;
        width: 100% !important;
    }
    .ui-mobile span.diag-loading-icon {
        margin: 0 auto !important;
    }
    .ui-mobile div#quicksetup-setup-complete div#cloud-account-1 .title span.icon {
        left: 0;
        position: relative !important;
    }
    .ui-mobile div#quicksetup-setup-complete div#cloud-account-2 span.icon {
        margin-left: 0;
    }
    .ui-mobile #quicksetup-result-text-container {
        padding-top: 20px;
        padding-left: 60px !important;
    }
    .ui-mobile #quicksetup-setup-complete {
        width: unset;
    }
    .ui-mobile #cloud-no-internet-title {
        display: inline !important;
        padding-left: 0 !important;
    }
    .ui-mobile div#quicksetup-setup-complete div#cloud-account-1 span.text {
        padding-left: 0 !important;
    }
    .ui-mobile #cloud-account-0 {
        overflow-x: auto;
    }
    .ui-mobile #cloud-login {
        min-width: 450px;
    }
    .ui-mobile #cloud_account_wizard_cnt {
        min-width: 450px;
    }
    .ui-mobile #website-qrcode-container {
        text-align: unset;
        margin-left: unset;
        margin-top: 20px;
    }
    .ui-mobile #graph-container-scroll {
        overflow-x: auto;
        overflow-y: hidden;
        display: flex;
        justify-content: center;
    }
    .ui-mobile #ispGraphContainer {
        text-align: center;
        position: relative;
        overflow-x: auto;
        width: 600px;
    }
    .ui-mobile #ispGraphContainer.vx800v .middle-text {
        display: block;
    }
    .ui-mobile #show_vdsl_radio,
    .ui-mobile #show_adsl_radio,
    .ui-mobile #show_dsl_radio,
    .ui-mobile #show_sfp_radio,
    .ui-mobile #show_ewan_radio {
        width: fit-content;
        margin-bottom: 0;
    }
    .ui-mobile #ispGraphContainer .graph-note {
        margin-left: 0;
    }
    .ui-mobile .T_vlanNote {
        line-height: normal;
    }
    .ui-mobile .sorry-info {
        padding-left: 0;
    }
    .ui-mobile #note-Qrcocde-container {
        padding-left: 0;
    }
    .ui-mobile #supportQrcode {
        margin-left: 0;
    }
    .ui-mobile #p_reconfig,
    .ui-mobile #p_retest {
        margin-left: 0 !important;
    }
    .ui-mobile #internet-sum span.text {
        font-weight: bold;
        display: block;
        margin-bottom: 16px;
    }
    .ui-mobile div.pure-control-group.group-spec {
        height: unset;
        line-height: unset;
    }
    .ui-mobile #wirelessParams span.text,
    .ui-mobile #lteParams span.text {
        display: block;
    }
    .ui-mobile #jumpMesh {
        display: inline;
    }
    .ui-mobile .wireless_line_info {
        bottom: 0;
    }
    .ui-mobile #turn-on-upgrade,
    .ui-mobile #upgrade-not-now {
        margin-top: 0;
        margin-bottom: 0;
    }
    .ui-mobile #qs-more-service-btn {
        margin-bottom: 0;
        margin-left: 0;
        margin-right: 0;
    }
    .ui-mobile #qs-more-service-container .congratulate-icon {
        margin-left: 50%;
        transform: translateX(-50%);
    }
    /* qs, basic, adv 底部 QRcode */
    .ui-mobile div.qr-code-container.quicksetup div.qr-code-container-wrapper {
        width: unset;
    }
    .ui-mobile div.qr-code-container:not(.login) div.qr-code-container-wrapper div.qr-code,
    .ui-mobile div.qr-code-container:not(.login) div.qr-code-container-wrapper div.qr-code-tether {
        width: 100%;
        display: flex;
        flex-flow: wrap;
        height: 270px;
        justify-content: space-around;
        overflow-y: auto;
        top: -286px;
    }
    .ui-mobile div.qr-code-container:not(.login) div.qr-code-container-wrapper div.characters-illustrate {
        position: unset;
        width: 100%;
        height: unset;
        padding: 30px 38px 0 38px;
    }
    .ui-mobile div.qr-code-container div.qr-code-picture {
        position: unset;
    }
    .ui-mobile div.qr-code-container div.app-download-place {
        margin-right: unset;
        position: unset;
        padding-top: unset;
    }
    .ui-mobile div.qr-code-container:not(.quicksetup):not(.login) div.qr-code-container-wrapper div.qr-code,
    .ui-mobile div.qr-code-container:not(.quicksetup):not(.login) div.qr-code-container-wrapper div.qr-code-tether {
        width: calc(100% - 259px);
    }
    .ui-mobile div.qr-code-container:not(.login) div.qr-code-container-delta {
        margin-left: unset;
        position: relative;
        bottom: 18px;
        left: 95%;
        transform: translateX(-95%);
    }
    .ui-mobile div.qr-code-container.quicksetup div.app-download-place {
        margin-right: unset;
    }
    /* Login */
    .ui-mobile #pc-div {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    .ui-mobile #pc-top-container {
        padding: 0;
        width: 90%;
    }
    .ui-mobile #pc-scroll,
    .ui-mobile #pc-top {
        width: 90%;
    }
    .ui-mobile #pc-cloud {
        width: 100%;
    }
    .ui-mobile #pc-bottomContainer {
        display: flex;
        flex-direction: column-reverse;
    }
    .ui-mobile #pc-bottom {
        width: 90%;
    }
    .ui-mobile .bot-right {
        float: right;
        margin-right: 5%;
    }
    .ui-mobile div.qr-code-container.login div.qr-code-container-wrapper {
        width: 100%;
    }
    .ui-mobile div.qr-code-container.login div.qr-code-container-wrapper div.qr-code,
    .ui-mobile div.qr-code-container.login div.qr-code-container-wrapper div.qr-code-tether {
        display: flex;
        width: 90%;
        margin: 0 auto;
        flex-direction: row;
        align-items: center;
        justify-content: space-around;
    }
    .ui-mobile .qr-app-container {
        display: flex;
    }
    .ui-mobile div.qr-code-container.login div.qr-code-container-wrapper div.characters-illustrate {
        height: auto;
        padding: 0 !important;
        position: relative;
    }
    .ui-mobile div.qr-code-picture,
    .ui-mobile div.qr-code-tether-picture {
        position: static;
    }
    .ui-mobile div.qr-code-container.login div.app-download-place {
        margin: 5px 0 10px 10px;
        padding-top: 0;
    }
    .ui-mobile div.qr-code-container.login div.qr-code-container-delta {
        margin-left: 88%;
    }
    /* Network Map */
    .ui-mobile div.add-mesh-guide a.add-mesh-close {
        right: 2%;
        left: unset;
    }
    .ui-mobile div#easymesh_panel {
        overflow: auto;
    }
    .ui-mobile div.map_mobile_wrap {
        overflow: auto;
    }
    .ui-mobile div.map-panel {
        width: 100%;
    }
    .ui-mobile div.topology-panel-wrap {
        overflow: auto;
    }
    .ui-mobile div.topology-panel {
        position: relative;
        width: 100%;
        min-width: 664px;
        padding-top: 60px;
    }
    .ui-mobile div.mesh-title-wrap {
        position: absolute;
        width: 100%;
        z-index: 100;
    }
    .ui-mobile div.map-panel div.add-mesh-device {
        top: 15px;
    }
    /* Speed Test */
    .ui-mobile div#speedTest_panel {
        width: 100%;
    }
    .ui-mobile div#speedTest_panel .map-panel-cnt {
        overflow: auto;
    }
    .ui-mobile div.map-panel-cnt .speedtest-mobile-wrap {
        min-width: 664px;
    }
    .ui-mobile div#total_bandwidth_record_msg .content {
        overflow-x: auto;
    }
    .ui-mobile div.bandwidth-record-wrapper {
        min-width: 665px;
    }
    .ui-mobile div.internet-speed-test-history {
        top: 10px;
    }
    .ui-mobile div.bandwidth-record-wrapper.no-record {
        margin-left: 0;
        min-width: 100%;
        overflow: hidden;
    }
    .ui-mobile .no-record-wrapper {
        width: 530px;
    }
    /* Internet */
    .ui-mobile .T_c_vlanidInfo {
        margin-top: -15px;
    }
    .ui-mobile #dhcp-radio-group {
        margin-top: -24px;
    }
    .ui-mobile .group-from {
        margin-bottom: 0;
    }
    .ui-mobile #divMacClone .pure-control-group {
        margin-bottom: 0;
    }
    .ui-mobile #reconTime {
        margin-top: 6px;
    }
    .ui-mobile .textbox-tips {
        width: 100%;
    }
    /* Wireless */
    .ui-mobile .hide-ssid {
        margin-top: -24px;
    }
    .ui-mobile #mainCont button[type='submit'] {
        margin-top: 24px;
    }
    .ui-mobile #wlBasic_bs,
    .ui-mobile #wlBasic_2g,
    .ui-mobile #wlBasic_5g,
    .ui-mobile #wlBasic_6g,
    .ui-mobile #wlBasic_mlo,
    .ui-mobile #bs_on,
    .ui-mobile #bs_off,
    .ui-mobile #hideGuestntw_5g,
    .ui-mobile #guest_6g,
    .ui-mobile #hideGuest_bs_on,
    .ui-mobile #hideGuest_bs_off,
    .ui-mobile #hideGuest_bandsteering,
    .ui-mobile #hideGuest_bsOff {
        position: relative;
    }
    .ui-mobile .wifisharing-container {
        position: absolute;
        right: 0;
        top: 0;
    }
    .ui-mobile #basic_5g_wifisharing,
    .ui-mobile #basic_6g_wifisharing,
    .ui-mobile #basic_mlo_wifisharing,
    .ui-mobile #guest_basic_5g_wifisharing,
    .ui-mobile #guest_5g_wifisharing,
    .ui-mobile #guest_6g_wifisharing {
        top: 30px;
    }
    .ui-mobile #mssid2wifisharing {
        top: unset;
    }
    .ui-mobile .qrcode-widget.qrcode-container {
        position: relative;
        margin-top: -15px !important;
        margin-bottom: 24px;
    }
    .ui-mobile #display_mssid_mode_select {
        transform: translateX(-100%);
    }
    .ui-mobile #hideWpa2Personal {
        margin-bottom: 24px;
    }
    .ui-mobile #hidePBC_combined {
        margin-top: -24px;
    }
    .ui-mobile #hidePBC_combined button {
        margin-top: 10px;
    }
    .ui-mobile #hidePIN_combined {
        margin-top: -24px;
    }
    .ui-mobile #hidePIN_combined button {
        margin-top: 10px;
    }
    .ui-mobile #pin-btns {
        margin-left: 0;
    }
    .ui-mobile #allow-list-radio {
        margin-top: -24px;
    }
    /* telephony */
    .ui-mobile .cfg-line.T_areacodeinfo {
        margin-bottom: 20px;
    }
    .ui-mobile #areaNumbertext p {
        margin-left: 0;
        margin-top: -24px;
        margin-bottom: 24px;
    }
    .ui-mobile #areaNumber {
        margin-top: -30px;
    }
    .ui-mobile ._isp_various_number ._isp_various_number_label {
        position: relative;
    }
    .ui-mobile ._isp_various_number ._isp_various_number_input_group {
        margin-left: 0;
    }
    .ui-mobile ._isp_various_number ._isp_various_number_input_group input {
        display: inline !important;
    }
    .ui-mobile ._isp_various_number ._isp_various_number_add_button {
        margin-bottom: 24px;
    }
    .ui-mobile #expt_num input {
        display: inline;
        width: 90%;
    }
    .ui-mobile .preferredCodec {
        margin-bottom: 24px;
    }
    .ui-mobile .preferredCodec .tp-select {
        width: 90%;
    }
    .ui-mobile .preferredCodec .select-container {
        display: inline;
    }
    .ui-mobile #dnd-time-container .xs .tp-select {
        width: 100px;
    }
    .ui-mobile #dnd-time-container #dnd-from {
        position: relative;
    }
    .ui-mobile #dnd-time-container #dnd-from .select-container:nth-of-type(2) {
        position: absolute;
        top: 20px;
        left: 110px;
        width: unset;
    }
    .ui-mobile #dnd-time-container #dnd-from .select-container:nth-of-type(2) label {
        width: 10px;
        margin-right: 10px;
    }
    .ui-mobile #dnd-time-container #dnd-to {
        position: relative;
    }
    .ui-mobile #dnd-time-container #dnd-to .select-container:nth-of-type(2) {
        position: absolute;
        top: 20px;
        left: 110px;
        width: unset;
    }
    .ui-mobile #dnd-time-container #dnd-to .select-container:nth-of-type(2) label {
        width: 10px;
        margin-right: 10px;
    }
    .ui-mobile #radio-field-strength .pure-control-group,
    .ui-mobile #radio-field-strength .select-container,
    .ui-mobile #forward-call-selections .pure-control-group,
    .ui-mobile #forward-call-selections .select-container {
        margin-bottom: 0;
    }
    .ui-mobile #t_info2 {
        margin: 24px 0 15px;
    }
    .ui-mobile #callthrough-add-num input {
        display: inline;
        width: 90%;
    }
    .ui-mobile #t_pinInfo1 {
        margin-top: -20px;
    }
    .ui-mobile #greeting-container {
        position: relative;
    }
    .ui-mobile #greeting-container .l .tp-select {
        width: 90%;
    }
    .ui-mobile #greeting-container #play_notify {
        position: absolute;
        left: 0;
        top: 55px;
    }
    .ui-mobile #greeting-container #play-content {
        position: absolute;
        top: 20px;
        right: 0;
    }
    /* Net Forwarding */
    .ui-mobile #serName,
    .ui-mobile #t_apply {
        margin-bottom: 10px;
    }
    /* USB */
    .ui-mobile #radio-default-account {
        margin-bottom: 0;
    }
    .ui-mobile #cfpwd {
        margin-top: 24px;
    }
    .ui-mobile #t_browse {
        margin-top: 10px;
    }
    /* QoS */
    .ui-mobile #qos-rules-container {
        display: flex;
        justify-content: space-between;
    }
    .ui-mobile #qos-rules-container .rule-list-container {
        width: 100%;
        margin-bottom: 20px;
    }
    .ui-mobile #qos-rules-container {
        flex-flow: column;
        gap: 20px;
    }
    .ui-mobile #qos-rules-container .qos-list .qos-list-p {
        width: 95%;
    }
    .ui-mobile #qos-rules-container .qos-list-p .expand-container {
        width: 90%;
    }
    .ui-mobile #qos-rules-container .qos-display-name {
        width: 95%;
    }
    .ui-mobile #qos-rules-container .qos-item-detail {
        width: 95%;
    }
    .ui-mobile #ruleByDevice #scan {
        margin-top: 10px;
    }
    .ui-mobile .upload-band-container {
        position: relative;
    }
    .ui-mobile .upload-band-container #upBandwidth,
    .ui-mobile .upload-band-container .select-container {
        width: 30%;
        top: 22px;
        left: 33%;
    }
    .ui-mobile .upload-band-container .select-container {
        position: absolute;
    }
    /* Security */
    .ui-mobile #tblDos .notice {
        padding-top: 0;
    }
    .ui-mobile #tblDos .notice_lbl {
        padding-top: 0;
    }
    .ui-mobile #filter-radio-group {
        margin-top: -24px;
    }
    .ui-mobile #accessMode .pure-control-group {
        margin-bottom: 0;
    }
    .ui-mobile #t_viewdev_white,
    .ui-mobile #t_viewdev_black {
        margin-top: 10px;
    }
    .ui-mobile #t_macip_dev {
        margin-top: -14px;
    }
    /* VPN */
    .ui-mobile #expConfForm span.load {
        margin: 0;
    }
    .ui-mobile #client-ip-container {
        position: relative;
    }
    .ui-mobile #client-ip-container .pure-control-group {
        width: 164px;
        margin-bottom: 0;
    }
    .ui-mobile #client-ip-container #cliIpSubnet {
        position: absolute;
        top: 18px;
        left: 170px;
    }
    .ui-mobile #client-ip-container #cliIpEndNum {
        position: absolute;
        top: 18px;
        left: 212px;
        width: 50px;
    }
    .ui-mobile #PSK_DIV .secLevel {
        margin-top: 0;
    }
    /* System */
    .ui-mobile .select-title.time-separater,
    .ui-mobile .select-title.time-daylight-year {
        text-align: left;
    }
    .ui-mobile #t_dst_start,
    .ui-mobile #t_dst_end {
        margin-bottom: 24px;
        font-weight: bold;
    }
    .ui-mobile .s_system_time .button-container.inline.left {
        display: block;
        margin: 0;
    }
    .ui-mobile .s_system_time #GetPCTime {
        margin-right: 10px;
        margin-bottom: 20px;
    }
    .ui-mobile #system-time-container {
        position: relative;
    }
    .ui-mobile #system-time-container .tp-select {
        width: 60px;
    }
    .ui-mobile #system-time-container .separater-m {
        position: absolute;
        top: 28px;
        left: 65px;
        width: 5px;
    }
    .ui-mobile #system-time-container #_minute {
        position: absolute;
        top: 20px;
        left: 75px;
    }
    .ui-mobile #system-time-container .separater-s {
        position: absolute;
        top: 28px;
        left: 140px;
        width: 5px;
    }
    .ui-mobile #system-time-container #_second {
        position: absolute;
        top: 20px;
        left: 150px;
    }
    .ui-mobile #system-time-container .select-container:nth-of-type(2),
    .ui-mobile #system-time-container .select-container:nth-of-type(3) {
        margin-bottom: 0;
    }
    .ui-mobile #night-mode-container {
        position: relative;
    }
    .ui-mobile #night-mode-container .tp-select {
        width: 60px;
    }
    .ui-mobile #night-mode-container .select-container {
        margin-bottom: 0;
    }
    .ui-mobile #night-mode-container .first-separator {
        position: absolute;
        top: 28px;
        left: 65px;
        width: 5px;
    }
    .ui-mobile #night-mode-container #_startMinute {
        position: absolute;
        top: 20px;
        left: 75px;
    }
    .ui-mobile #night-mode-container .to-separator {
        margin-top: 6px;
    }
    .ui-mobile #night-mode-container .second-separator {
        position: absolute;
        top: 83px;
        left: 65px;
        width: 5px;
        margin-bottom: 0;
    }
    .ui-mobile #night-mode-container #_endMinute {
        position: absolute;
        top: 75px;
        left: 75px;
    }
    .ui-mobile #night-mode-container #t_nightModeTips {
        display: block;
        left: 0;
        margin-top: 10px;
    }
    .ui-mobile #local-upgrade-browse {
        text-align: left;
    }
    .ui-mobile #local-upgrade-browse .inline {
        display: block;
    }
    .ui-mobile div.widget-container div.widget-wrap-outer {
        display: block;
        text-align: left;
    }
    .ui-mobile #enableBackupPwd {
        margin-bottom: 0;
    }
    .ui-mobile #enableRestorePwd {
        margin-top: 24px;
        margin-bottom: 0;
    }
    .ui-mobile #timeCont {
        position: relative;
    }
    .ui-mobile #timeCont #_mode-sl {
        width: 180px;
    }
    .ui-mobile #timeCont #week-div,
    .ui-mobile #timeCont #month-div {
        width: 90px;
        position: absolute;
        top: 20px;
        left: 185px;
    }
    .ui-mobile #note-p-off {
        margin-top: 0;
    }
    .ui-mobile #reboot-time-container {
        position: relative;
    }
    .ui-mobile #reboot-time-container .tp-select {
        width: 60px;
    }
    .ui-mobile #reboot-time-container .select-container:nth-of-type(2) {
        width: 100px;
        position: absolute;
        top: 20px;
        left: 70px;
    }
    .ui-mobile #reboot-time-container .select-container:nth-of-type(2) .select-title.time-separater {
        width: 10px;
    }
    .ui-mobile #t_confirm.l {
        margin-top: 24px;
    }
    .ui-mobile #pass-note {
        margin-top: -20px;
    }
    .ui-mobile #permission-form .ttl.inline {
        font-weight: bold;
        margin-top: 10px;
        margin-bottom: 10px;
    }
    .ui-mobile #permission-form .ttl.inline.blank {
        margin: 0;
    }
    .ui-mobile #permission-form .pure-control-group {
        margin-bottom: 0;
        margin-left: 15px;
    }
    .ui-mobile #permission-form .label-title.tl {
        margin-top: 10px;
        margin-bottom: 10px;
    }
    .ui-mobile #permission-form label[aria-hidden='true'] {
        margin: 0 !important;
    }
    .ui-mobile #remoteIpAcl .pure-control-group,
    .ui-mobile #remoteIpTelnet .pure-control-group,
    .ui-mobile #ping-container .pure-control-group,
    .ui-mobile #div_cliSsh .pure-control-group,
    .ui-mobile #div_cliTelnet .pure-control-group {
        margin-bottom: 0;
    }
    .ui-mobile .ipAndmask {
        position: relative;
        margin-bottom: 10px !important;
    }
    .ui-mobile .ipAndmask input[type='text'].xl {
        width: 130px;
    }
    .ui-mobile .ipAndmask .slash {
        position: absolute;
        top: 0;
        left: 135px;
    }
    .ui-mobile .ipAndmask .select-container {
        width: 60px;
        position: absolute;
        top: 0;
        left: 145px;
    }
    .ui-mobile .ipAndmask .delete-icon {
        position: absolute;
        top: 8px;
        left: 205px;
    }
    .ui-mobile .ipRange {
        position: relative;
        margin-bottom: 10px !important;
    }
    .ui-mobile .ipRange input[type='text'].xl {
        width: 130px;
    }
    .ui-mobile .ipRange .connector {
        position: absolute;
        top: 0;
        left: 135px;
    }
    .ui-mobile .ipRange .endIP {
        position: absolute;
        top: 0;
        left: 145px;
    }
    .ui-mobile .ipRange .delete-icon {
        position: absolute;
        top: 8px;
        left: 275px;
    }
    .ui-mobile #log-btn-container div.inline {
        display: block;
        margin: 0;
    }
    .ui-mobile #log-btn-container #t_save {
        margin-top: 10px;
    }
    .ui-mobile #CR #path {
        margin-bottom: 0;
    }
    .ui-mobile #Statistics_interval .select-container {
        margin-bottom: 0;
    }
    /* LAN Settings */
    .ui-mobile #formIPv4 .inline {
        display: inline;
    }
    .ui-mobile #lease-textbox-tips {
        width: 240px;
    }
    /* Basic Cloud */
    .ui-mobile #basic-account {
        overflow-x: auto;
    }
    .ui-mobile div#basic-account #cloud-login {
        min-width: 450px;
    }
    /* Status */
    .ui-mobile .status-panel-main .pure-control-group label.label-title {
        margin-bottom: unset;
    }
    .ui-mobile .pure-g {
        flex-flow: column;
        gap: 20px;
    }
    .ui-mobile .pure-u-1-2 {
        width: 100%;
    }
    .ui-mobile div.pure-g div.pure-u-1-1 div.content {
        width: 100%;
    }
    .ui-mobile div.pure-g div.pure-u-1-2 div.content {
        width: 100%;
    }
    /* Backup */
    .ui-mobile #div_backupPassword {
        padding-left: 0;
    }
    /* Software Upgrade */
    .ui-mobile #_meshUpgradeBtn,
    .ui-mobile #_meshCheckBtn {
        margin-bottom: 10px;
    }
    /* Wireless Schedule */
    .ui-mobile #schedule-form-container-combined .inline-btn-right .table-btn {
        margin-bottom: 10px;
    }
    /* Time Setting */
    .ui-mobile .time-setting-container .time-board .hour,
    .ui-mobile .time-setting-container .time-board .minute,
    .ui-mobile .time-setting-container .time-board .halfday {
        width: 20px !important;
    }
    /* Easymesh */
    .ui-mobile #meshIntroducation .pic-container {
        width: 100%;
        height: 0;
        padding-bottom: 50%;
    }
    .ui-mobile #meshIntroducation .pic-container .easymesh-bg-left,
    .ui-mobile #meshIntroducation .pic-container .easymesh-bg-right {
        width: 48%;
        height: 100%;
    }
    .ui-mobile #meshIntroducation .pic-container .bg-text-container {
        top: 80%;
    }
    .ui-mobile #meshIntroducation .pic-container .easymesh-pic {
        width: 100%;
        height: 0;
        padding-bottom: 50%;
        background-size: 100%;
    }
    .ui-mobile .sm-icon-row {
        width: fit-content;
        margin: 22px auto 15px;
    }
    /* Parent Control */
    .ui-mobile #dateSelectContainer .l .tp-select,
    .ui-mobile #blockDateSelectContainer .l .tp-select {
        width: 30%;
    }
    .ui-mobile #blocked_history_table {
        width: 90%;
        min-width: 90%;
    }
    .ui-mobile table#history-collection {
        min-width: 100%;
    }
    .ui-mobile .speedtestFail-note {
        width: 100%;
        max-width: 470px;
    }
    .ui-mobile #workday-limit {
        margin-top: 15px;
    }
    .ui-mobile #blocked_history_thead {
        min-width: unset;
    }
    .ui-mobile #weekdays-container .pure-control-group {
        margin-bottom: 10px;
    }
    .ui-mobile #workday-limit,
    .ui-mobile #weekend-limit,
    .ui-mobile #workday-bedtime-limit,
    .ui-mobile #weekend-bedtime-limit {
        margin: 15px 0 0;
    }
    .ui-mobile #add-keyword-modal {
        padding: 9px;
    }
    .ui-mobile #add-keyword-modal input {
        display: inline;
    }
    /* WiFi Optimization */
    .ui-mobile #wifiOptContainer #top-container {
        display: block;
    }
    .ui-mobile #wifiOptContainer #top-container #threshold-select-container {
        display: block;
        margin-top: 24px;
    }
    .ui-mobile #wifiOptContainer #radioGroup {
        margin-left: 0;
        margin-top: -15px;
    }
    .ui-mobile #btnGroup {
        display: flex;
        flex-direction: column;
    }
    .ui-mobile #btnGroup div.button-container {
        text-align: left;
        margin-bottom: 10px;
    }
}
@media screen and (max-width: 767px) {
    /* Frame */
    .ui-mobile #mobile-top {
        display: block;
    }
    .ui-mobile #scroll {
        border-top: none;
        height: calc(100% - 50px);
    }
    .ui-mobile #top,
    .ui-mobile #menu-wrapper {
        display: none;
    }
    .ui-mobile #main-wrapper {
        width: 100%;
        left: unset;
    }
    .ui-mobile #main {
        padding-left: 20px;
        padding-right: 20px;
    }
    .ui-mobile #con {
        width: 100%;
    }
    .ui-mobile #bot_con {
        width: 100%;
        margin-left: unset;
        display: flex;
        flex-flow: column;
        justify-content: space-around;
    }
    .ui-mobile #bot_sver,
    .ui-mobile #bot_hver,
    .ui-mobile #bot_con .bot-right {
        margin: 0 !important;
        padding: 0 20px;
    }
    /* basic, adv 底部 QRcode */
    .ui-mobile div.qr-code-container div.qr-code-container-wrapper {
        width: 100%;
    }
    .ui-mobile div.qr-code-container:not(.quicksetup):not(.login) div.qr-code-container-wrapper div.qr-code,
    .ui-mobile div.qr-code-container:not(.quicksetup):not(.login) div.qr-code-container-wrapper div.qr-code-tether {
        width: 100%;
        margin-left: 0;
    }
    .ui-mobile div.qr-code-container:not(.login) div.qr-code-container-delta {
        left: 90%;
        transform: translateX(-90%);
    }
    .ui-mobile div.qr-code-container div.qr-code-container-wrapper div.characters-illustrate {
        padding: 0 !important;
    }
    /* Modal */
    .ui-mobile div.add-mesh-guide {
        max-width: 420px;
        height: 400px;
    }
    .ui-mobile div.add-method button {
        max-width: 382px;
    }
    .ui-mobile div.msg-container.modal-container {
        max-width: 400px;
    }
    .ui-mobile #check_reset {
        width: 400px;
    }
    .ui-mobile #check_reset .button-cancel {
        margin-left: 190px;
    }
    .ui-mobile div.add-mesh-guide div.act-margin button.button-button {
        width: 280px;
    }
    .ui-mobile #adding-mesh-device-by-scan #scan-op-container.op-guide-container {
        width: 300px;
    }
    .ui-mobile #adding_mesh_device .op-guide-container {
        left: 0 !important;
    }
    .ui-mobile #adding_mesh_device .guide-text {
        left: 0;
        width: 180px;
    }
    .ui-mobile div.add-mesh-guide div.op-guide-note {
        width: 350px;
    }
    .ui-mobile div.add-mesh-guide ul li {
        width: auto;
    }
    .ui-mobile div.add-mesh-guide div.act-margin button#backToPrePage {
        top: 110px;
    }
    .ui-mobile #factory_restore {
        height: 420px;
    }
    .ui-mobile #complex-msg-container .msg-container-wrapper.complex-msg {
        width: unset;
    }
    .ui-mobile #accessDevList .table-mobile-wrap table {
        min-width: unset;
    }
    .ui-mobile #t_devscan .table-mobile-wrap table {
        min-width: 664px;
    }
    .ui-mobile #folderSel {
        top: 50% !important;
        left: 50% !important;
        transform: translate(-50%, -50%);
    }
    .ui-mobile #accessDevList.qosDevList {
        inset: unset !important;
        top: 50% !important;
        left: 50% !important;
        transform: translate(-50%, -50%);
        max-width: 100% !important;
        max-height: 100% !important;
    }
    .ui-mobile .no-record-wrapper {
        width: unset !important;
    }
    .ui-mobile div.timepicker-container {
        width: 400px;
    }
    /* Progress Bar */
    .ui-mobile .gbar-parent {
        width: 200px !important;
    }
    /* Basic Cloud */
    .ui-mobile div#basic-account .func_container {
        min-width: 500px;
    }
    /* Login */
    .ui-mobile #pc-top-divider {
        display: none;
    }
    .ui-mobile .sr-only-m {
        position: absolute;
        width: 1px;
        height: 1px;
        padding: 0;
        margin: -1px;
        overflow: hidden;
        clip: rect(0, 0, 0, 0);
        white-space: nowrap;
        border-width: 0;
    }
    .ui-mobile #pc-scroll {
        padding-top: 0;
    }
    .ui-mobile #pc-top {
        height: 65px;
    }
    .ui-mobile #pc-scroll div.widget-error-tips div.widget-error-tips-wrap {
        margin-left: -50px;
    }
    .ui-mobile div.modal-container {
        width: calc(100% - 48px) !important;
        min-width: 290px;
    }
    .ui-mobile div.qr-code-container.login div.qr-code-container-wrapper div.qr-code,
    .ui-mobile div.qr-code-container.login div.qr-code-container-wrapper div.qr-code-tether {
        flex-direction: column;
        height: auto;
    }
    .ui-mobile .qr-app-container {
        flex-direction: row;
        justify-content: center;
    }
    .ui-mobile div.qr-code-container div.qr-code-container-wrapper div.characters-illustrate {
        margin: 28px 20px 10px 20px;
    }
    .ui-mobile div.qr-code-container div.qr-code-container-wrapper div.characters-illustrate {
        width: auto;
    }
    .ui-mobile #login-note {
        width: unset;
        margin: 0 20px;
    }
    /* Speed Test */
    .ui-mobile .speedtest-server-wrapper .select-container .tp-select {
        width: 100% !important;
        max-width: 292px;
    }
    .ui-mobile .col {
        display: block !important;
        margin-right: 0 !important;
    }
    .ui-mobile .col50 {
        width: 100% !important;
    }
    .ui-mobile .realSpeed-content.left,
    .ui-mobile .dial-wrapper.left {
        text-align: center !important;
        margin-left: 0 !important;
    }
    .ui-mobile .realSpeed-content.right,
    .ui-mobile .dial-wrapper.right {
        text-align: center !important;
        margin-right: 0 !important;
    }
    .ui-mobile .test-result-item {
        display: block !important;
        border-right: 0 !important;
    }
    .ui-mobile #speedtestServer {
        width: 100% !important;
    }
    /* Wireless-Settings */
    .ui-mobile .pure-form #scan-status {
        width: 100%;
        margin-left: 0;
    }
    .ui-mobile .pure-form #scan-status #network-security-overall {
        width: 100%;
    }
    .ui-mobile .pure-form #scan-status #network-security-overall span {
        width: 100%;
    }
    .ui-mobile .pure-form #scan-status .button-container button {
        width: 90%;
    }
}
@media screen and (max-width: 480px) {
    /* Table */
    .ui-mobile .table-note label,
    .ui-mobile .table-btn label {
        display: inline;
    }
    /* Form */
    .ui-mobile .pure-form input {
        margin-bottom: 0;
    }
    .ui-mobile div.relative {
        position: unset;
    }
    /* Modal */
    .ui-mobile div.add-mesh-guide {
        max-width: 282px;
    }
    .ui-mobile div.add-method button {
        max-width: 260px;
    }
    .ui-mobile div.widget-container.modal-container {
        max-width: 282px;
    }
    .ui-mobile div.msg-container-wrapper,
    .ui-mobile div.msg-container {
        min-width: 282px;
    }
    .ui-mobile #check_reset {
        width: 280px;
    }
    .ui-mobile #check_reset .button-cancel {
        margin-left: 70px;
    }
    .ui-mobile div.add-mesh-guide span.adding-title {
        font-size: 18px;
    }
    .ui-mobile #adding_mesh_device .guide-text {
        left: 0;
        width: 230px;
    }
    .ui-mobile #adding_mesh_device .op-guide-container:nth-of-type(1) {
        left: 25px !important;
    }
    .ui-mobile #adding_mesh_device .op-guide-container:nth-of-type(2) {
        left: 40px !important;
        top: 10px;
    }
    .ui-mobile #adding_mesh_device {
        height: 600px;
    }
    .ui-mobile div.add-mesh-guide div.op-guide-note {
        width: 250px;
    }
    .ui-mobile div.add-mesh-guide div.act-margin button.button-button {
        width: 250px;
    }
    .ui-mobile #adding-mesh-device-by-scan #scan-op-container.op-guide-container {
        width: 265px;
    }
    .ui-mobile div.timepicker-container {
        width: 300px;
    }
    /* Mode Change */
    .ui-mobile .title-with-mode {
        display: block;
        padding-bottom: 30px !important;
    }
    .ui-mobile #wb1 {
        left: auto;
        text-align: left;
        transform: unset;
    }
    /* Progress Bar */
    .ui-mobile div.grid-popup-msg div.grid-warning-msg {
        margin: unset;
    }
    .ui-mobile #cpuUsedProgress .gbar-parent,
    .ui-mobile #memUsedProgress .gbar-parent {
        width: 150px !important;
    }
    /* Help */
    .ui-mobile div.help-content-container {
        width: 80%;
    }
    .ui-mobile div.help-content-container-wrap {
        width: 100%;
    }
    /* Login */
    .ui-mobile div.msg-container.modal-container .label-title {
        width: 100%;
    }
    .ui-mobile #global-tips-text .tip-text-box {
        margin-left: 30%;
    }
    .ui-mobile div.msg-container-wrapper {
        overflow-y: auto;
    }
    .ui-mobile div.msg-container div.msg-content-wrap {
        margin: 0;
    }
    .ui-mobile div.grid-popup-msg div.grid-warning-msg {
        margin: 24px 12px;
    }
    .ui-mobile #pc-bottom {
        display: flex;
        flex-direction: column-reverse;
        height: 55px;
        line-height: 18px;
        overflow-y: auto;
    }
    .ui-mobile #pc-bottom .bot-right {
        display: flex;
        flex-direction: column-reverse;
    }
    .ui-mobile #pc-bot-productName,
    .ui-mobile #pc-bot-modelDesc {
        display: block;
    }
    .ui-mobile #pc-bot-productName,
    .ui-mobile #pc-bot-modelDesc,
    .ui-mobile #pc-bot-app {
        margin-left: 5%;
    }
    .ui-mobile .pc-bottom-background {
        height: 55px;
    }
    .ui-mobile div.qr-code-container.login {
        bottom: 55px;
    }
    .ui-mobile div.qr-code-container.login div.qr-code-container-delta {
        margin-left: 10%;
    }
    /* Wireless Settings */
    .ui-mobile #optiForm .status-note {
        padding-left: 0;
    }
    .ui-mobile .sm-icon-container {
        width: 45px;
        height: 45px;
        overflow: hidden;
    }
    .ui-mobile .sm-icon-container.wireless {
        width: 24px;
        height: 24px;
        top: -10px;
    }
    .ui-mobile .sm-icon-row [class*='map-icon-'] {
        transform: scale(0.7);
        transform-origin: 0 0;
    }
    .ui-mobile .sm-icon-connector {
        padding: 20px 0 0;
        width: 44px;
    }
    .ui-mobile .sm-icon-connector.short {
        width: 10px;
    }
    .ui-mobile #display_mssid_mode_select {
        transform: translateX(-105%);
    }
    /* Add IP */
    .ui-mobile div.add-ip-pool span label,
    .ui-mobile div.add-ip-pool-equal span label {
        display: inline;
    }
    /* Time Setting */
    .ui-mobile .time-setting-container .time-board .hour,
    .ui-mobile .time-setting-container .time-board .minute,
    .ui-mobile .time-setting-container .time-board .halfday {
        display: inline !important;
    }
    /* Network Map */
    .ui-mobile #third-party-modal .third-party-img {
        margin-bottom: 10px !important;
    }
    .ui-mobile div.internet-speed-test-history {
        top: 35px !important;
    }
    .ui-mobile #speedTest_panel .map-panel-title {
        padding-bottom: 30px;
    }
    .ui-mobile #total_bandwidth_record_msg h1 {
        padding-bottom: 30px;
    }
    .ui-mobile .speedtest-server-wrapper .select-box-text-wrapper .text .name {
        width: 130px !important;
    }
    /* Quick Setup */
    .ui-mobile #quicksetup_sum_internet span.text {
        display: block;
    }
    .ui-mobile .auto-dial-status-img .router-img,
    .ui-mobile .auto-dial-status-img .dial-img {
        transform: scale(0.7);
    }
    .ui-mobile .connecting-line {
        width: 40%;
    }
    /* Telephony */
    .ui-mobile #addNumIcon label {
        display: inline;
        margin: 0;
    }
    /* Security */
    .ui-mobile #tblDos .notice {
        width: 130px;
    }
    .ui-mobile #tblDos .notice label {
        margin: 0;
    }
    /* System */
    .ui-mobile .widget-wrap.text-wrap {
        width: 100%;
        margin-bottom: 10px;
    }
    .ui-mobile div.file-container div.file-button-container {
        margin-left: 0;
    }
}

@media screen and (max-height: 719px) {
    .ui-mobile #bot {
        z-index: 792;
    }
    .ui-mobile #total_bandwidth_record_msg-container .msg-content-wrap {
        height: 250px;
    }
    .ui-mobile #unblockedWebsitesMsg {
        min-height: unset !important;
        height: 70%;
    }
}
@media screen and (max-height: 360px) and (max-width: 1023px) {
    .ui-mobile div.qr-code-container.show:not(.login) div.qr-code-container-wrapper div.qr-code {
        max-height: 162px;
        top: -180px;
        overflow-y: auto;
    }
}
@media screen and (max-height: 368px) {
    .ui-mobile #total_bandwidth_record_msg-container .msg-content-wrap {
        height: 120px;
    }
}
